githubEdit

Broadcast tx

post

Broadcasts a transaction using the provided account name and transaction details.

Authorizations
AuthorizationstringRequired
Path parameters
accountNamestringRequired
  • The name of the account to broadcast the transaction from.
Header parameters
AuthorizationstringRequired
  • The authorization token from the request header.
Body
  • The transaction details to be broadcasted.
chainIdstringRequired

The chain ID of the blockchain network.

rawTransactionstringRequired

The signed transaction to be broadcasted.

Responses
chevron-right
200

A promise that resolves to a BroadCastRawTransactionAPIResponse object.

application/json
successbooleanRequired

The success status of the operation.

messagestringRequired

The message associated with the operation.

addressstringOptional

The address associated with the operation.

post
/accounts/{accountName}/broadcast-tx
200

A promise that resolves to a BroadCastRawTransactionAPIResponse object.